summaryrefslogtreecommitdiffstats
path: root/contrib/ee/genstr
diff options
context:
space:
mode:
authored <ed@FreeBSD.org>2009-05-26 20:13:17 +0000
committered <ed@FreeBSD.org>2009-05-26 20:13:17 +0000
commitfbad22d013baa1ed80ce29fd090be19e99ed314c (patch)
tree802aed2d76270bc9fee21713d1e79973febde177 /contrib/ee/genstr
parent6cf142b7b439d69ca0ee2ce20e9551f628a65110 (diff)
parentcd2cd8f376f2d165e207cc5b80154f80bffbac4d (diff)
downloadFreeBSD-src-fbad22d013baa1ed80ce29fd090be19e99ed314c.zip
FreeBSD-src-fbad22d013baa1ed80ce29fd090be19e99ed314c.tar.gz
Copy ee 1.4.2 into the contrib directory.
This allows me to merge our custom changes to ee(1) back on top of original sources, with correct mergeinfo.
Diffstat (limited to 'contrib/ee/genstr')
-rwxr-xr-xcontrib/ee/genstr32
1 files changed, 32 insertions, 0 deletions
diff --git a/contrib/ee/genstr b/contrib/ee/genstr
new file mode 100755
index 0000000..429f960
--- /dev/null
+++ b/contrib/ee/genstr
@@ -0,0 +1,32 @@
+#!/bin/sh
+
+set -x
+
+if [ $# -lt 2 ]
+then
+ echo usage $0 source_file dest_file
+ exit 1
+fi
+
+trap 'rm -f /tmp/$$.out; exit 0' 0 # set up traps to clean up
+trap 'rm -f /tmp/$$.out; exit 1' 1 2 3 15 # on errors AND normal exit
+
+if [ -f $2 ]
+then
+ rm $2
+fi
+
+cat $1 | grep 'catgetlocal.*\"*\"' |
+ sed -e 's/^.*catgetlocal(//' |
+ sed -e 's/^[ ]*//' |
+ sed -e 's/, \"/ \"/' |
+ sed -e 's/);//' > /tmp/$$.out
+
+cat > $2 <<EOF
+\$
+\$
+\$set 1
+\$quote "
+EOF
+
+sort -n < /tmp/$$.out >> $2
OpenPOWER on IntegriCloud